CardinalityConstraint (BioJava-1.5-beta API)
Keywords: org.biojava.bio.CardinalityConstraint class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio
Class CardinalityConstraint

    java.lang.Object
      org.biojava.bio.CardinalityConstraint

    public final class CardinalityConstraint

extends Object

A constraint on the number of values a property can have.

Since:
  1.3
Author:
  Matthew Pocock
For general use:
  Usefull constants for whenever you need one of the common cardinalitites. Otherwise, build a Location using the normal Location APIs.:

Field Summary
`static Location` | `ANY` The property can have any number of values, including none.
`static Location` | `NONE` This cardinality contains no intengers, not even zero.
`static Location` | `ONE` The property should have exactly one value.
`static Location` | `ONE_OR_MORE` The property should have one or more values.
`static Location` | `ZERO` The property should have zero values.
`static Location` | `ZERO_OR_ONE` The property should have zero or one values.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final Location NONE

  This cardinality contains no intengers, not even zero. It means that there is no way to fulfill this cardinality constraint. It's like Double.NaN

### ZERO

    public static final Location ZERO

  The property should have zero values. This means that it should be absent.

### ZERO_OR_ONE

    public static final Location ZERO_OR_ONE

  The property should have zero or one values. This means that it is optional but if present must have exactly one value.

### ANY

    public static final Location ANY

  The property can have any number of values, including none.

### ONE

    public static final Location ONE

  The property should have exactly one value.

### ONE_OR_MORE

    public static final Location ONE_OR_MORE

  The property should have one or more values. It can not be absent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD